from random import uniform
from matplotlib.pyplot import scatter, show, title, gca

'''
Przyblizanie pi sposobem Monte Carlo.
'''


def approximate_pi(n):
    rolls = 0
    hits = 0
    gx, gy = [], []
    hx, hy = [], []

    for _ in range(n):
        x, y = uniform(-1, 1), uniform(-1, 1)
        rolls += 1
        if x ** 2 + y ** 2 <= 1:
            hits += 1
            gx.append(x)
            gy.append(y)
        else:
            hx.append(x)
            hy.append(y)
    result = "{}/{}, pi = {}".format(hits, rolls, 4 * hits / rolls)
    print(result)
    scatter(gx, gy, c='green', s=2)
    scatter(hx, hy, c='red', s=2)
    gca().set_aspect('equal')
    title(result)
    show()


if __name__ == "__main__":
    approximate_pi(10)
    approximate_pi(1000)
    approximate_pi(100000)
