from random_rolls import loaded_coin_toss


'''
Rzucamy oszuakana moneta, w ktorej prawdopodobienstwo wyrzucenia
orla wynosi p > 0. Szacujemy ile srednio rzutow potrzeba, aby wypadl orzel.
Prawdziwa odpowiedz: 1/p
'''


def simulate_game(prob):
    assert prob > 0
    tosses = 0
    while True:
        tosses += 1
        toss = loaded_coin_toss(prob)
        if toss == 'Heads':
            return tosses


def test_game(prob, tries=10000):
    assert tries > 0
    total = 0
    for _ in range(tries):
        total += simulate_game(prob)
    return total / tries


if __name__ == "__main__":
    print(test_game(0.5))
    print(test_game(1/3))
    print(test_game(1/10))
